| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# errorname

$Revision: 1.5 $

$Date: 2002/06/12 11:18:09 $

errorname — An error name

## Synopsis

### Mixed Content Model

    errorname ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

## Description

`ErrorName` holds the symbolic name of an error.

DocBook provides four elements for identifying the parts of an error message: `ErrorCode`, for the alphanumeric error code (e.g., “-2”); `ErrorName`, for the symbolic name of the error (e.g., “ENOENT”); `ErrorText`, for the text of the error message (e.g., “file not found”); and `ErrorType`, for the error type (e.g., “recoverable”).

Prior to DocBook V4.2, the `ErrorName` element was the recommended element for error messages. However, this left no element for symoblic names, so the `ErrorText` element was added and the semantics of the error elements adjusted slightly.

### Processing expectations

Formatted inline.

### Parents

These elements contain errorname: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in errorname: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## See Also

`errorcode`, `errortext`, `errortype`, `msgset`.

## Examples

For examples, see `errorcode`, `returnvalue`.

errorcode |  | errortext

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.